# The V8JsException class

(PECL v8js >= 0.1.0)

## Introduction

## Class synopsis

V8JsException extends Exception {
/* Properties */
protected $JsFileName ;
protected $JsLineNumber ;
protected $JsSourceLine ;
protected $JsTrace ;
/* Inherited properties */
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
/* Methods */
final public getJsFileName ( void ) : string
final public getJsLineNumber ( void ) : int
final public getJsSourceLine ( void ) : string
final public getJsTrace ( void ) : string
/* Inherited methods */
final public Exception::getMessage ( void ) : string
final public Exception::getPrevious ( void ) : Throwable
final public Exception::getCode ( void ) : mixed
final public Exception::getFile ( void ) : string
final public Exception::getLine ( void ) : int
final public Exception::getTrace ( void ) : array
final public Exception::getTraceAsString ( void ) : string
public Exception::__toString ( void ) : string
final private Exception::__clone ( void ) : void
}

## Properties

JsFileName

JsLineNumber

JsSourceLine

JsTrace

## Table of Contents

- V8JsException::getJsFileName — The getJsFileName purpose
- V8JsException::getJsLineNumber — The getJsLineNumber purpose
- V8JsException::getJsSourceLine — The getJsSourceLine purpose
- V8JsException::getJsTrace — The getJsTrace purpose